searchNodes=[{"doc":"Digital Ocean Droplet strategy for libcluster","ref":"Cluster.Strategy.Droplet.html","title":"Cluster.Strategy.Droplet","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Cluster.Strategy.Droplet.html#child_spec/1","title":"Cluster.Strategy.Droplet.child_spec/1","type":"function"},{"doc":"Returns the Droplet metadata top-level index, or specific metadata values. See https://docs.digitalocean.com/products/droplets/how-to/retrieve-droplet-metadata/","ref":"Cluster.Strategy.Droplet.html#get_metadata/1","title":"Cluster.Strategy.Droplet.get_metadata/1","type":"function"},{"doc":"Makes a request to the Digital Ocean API for a list of droplets and recurses through the pages. Will return a parsed list of node names derived from the droplet objects. Expects a full URL and a valid access token to be passed. Logs a warning and returns :error if the API didn't return a successful response.","ref":"Cluster.Strategy.Droplet.html#get_nodes/4","title":"Cluster.Strategy.Droplet.get_nodes/4","type":"function"},{"doc":"Starts a GenServer to poll the Digital Ocean API for a list of nodes to add to the cluster. Any nodes currently in the cluster that are no longer returned from the API will be removed from the cluster. Filtering can be done by tag name or Droplet name, but not both. Otherwise an exception will be raised. The current Droplet will be excluded so the node doesn't try to connect to itself. If there is an issue making the API request, the node list is kept as is with no changes. This is because we don't want all the nodes tp disconnect from each other if the Digital Ocean API goes down.","ref":"Cluster.Strategy.Droplet.html#start_link/1","title":"Cluster.Strategy.Droplet.start_link/1","type":"function"},{"doc":"Converts a droplet map returned from the Digital Ocean API to a node name such as :&quot;foobar@127.0.0.1&quot; . Logs a warning and returns nil if the droplet doesn't have an address for the defined network type and ip version.","ref":"Cluster.Strategy.Droplet.html#to_node_name/2","title":"Cluster.Strategy.Droplet.to_node_name/2","type":"function"},{"doc":"Converts a list of droplet maps to node names as explained in to_node_name/2 . Will not return node names for droplets that don't have a status of &quot;active&quot;, or that match the provided ID.","ref":"Cluster.Strategy.Droplet.html#to_node_names/3","title":"Cluster.Strategy.Droplet.to_node_names/3","type":"function"},{"doc":"A Digital Ocean Droplet clustering strategy for libcluster . This strategy will connect all Droplets in your account to the cluster and can optionally be filtered by Droplet name or tag. It works by polling the Digital Ocean API, so a valid access token is required.","ref":"readme.html","title":"Libcluster Droplet Strategy","type":"extras"},{"doc":"def deps do [ { :libcluster_droplet , &quot;~&gt; 1.0&quot; } ] end config :libcluster , topologies : [ example : [ strategy : Cluster.Strategy.Droplet , config : [ token : System . fetch_env! ( &quot;DIGITALOCEAN_TOKEN&quot; ) , tag_name : &quot;foobar&quot; ] ] ]","ref":"readme.html#getting-started","title":"Libcluster Droplet Strategy - Getting Started","type":"extras"},{"doc":"Key Required Description :token ✓ The Digital Ocean access token used for authenticating with the API. :network Whether to use private or public IP addresses in the node name. Defaults to :public . :ipv6 Whether to use IPv6 addresses in the node name. Defaults to false . :tag_name Droplet tag to filter by when adding to the cluster. Cannot be combined with :name . :name Droplet name to filter by when adding to the cluster. Cannot be combined with :tag_name . :node_basename The base name of the nodes you want to connect to. Defaults to the Droplet name. :polling_interval Number of milliseconds between polls to the API. Defaults to 5_000 .","ref":"readme.html#config","title":"Libcluster Droplet Strategy - Config","type":"extras"}]